## mysql-8.0 8.0.20

=== debian/changelog ===
mysql-8.0 (8.0.20-0ubuntu0.19.10.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.20 to fix security issues
    - CVE-2020-2759, CVE-2020-2760, CVE-2020-2762, CVE-2020-2763,
      CVE-2020-2765, CVE-2020-2780, CVE-2020-2804, CVE-2020-2812,
      CVE-2020-2892, CVE-2020-2893, CVE-2020-2895, CVE-2020-2896,
      CVE-2020-2897, CVE-2020-2898, CVE-2020-2901, CVE-2020-2903,
      CVE-2020-2904, CVE-2020-2921, CVE-2020-2923, CVE-2020-2924,
      CVE-2020-2925, CVE-2020-2926, CVE-2020-2928, CVE-2020-2930
  * debian/patches/year2020.patch: Dropped, no longer needed
  * debian/mysql-router.install: updated paths for library locations.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 29 Apr 2020 12:38:20 -0400

mysql-8.0 (8.0.19-0ubuntu0.19.10.3) eoan-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.19 to fix security issues
    - CVE-2020-2570, CVE-2020-2572, CVE-2020-2573, CVE-2020-2574,
      CVE-2020-2577, CVE-2020-2579, CVE-2020-2584, CVE-2020-2588,
      CVE-2020-2589, CVE-2020-2627, CVE-2020-2660, CVE-2020-2679,
      CVE-2020-2686, CVE-2020-2694
  * Removed patches no longer required:
    - debian/patches/fix-test-mysql_os_user.patch
  * debian/patches/year2020.patch: fixed FTBFS by changing future date to
    2037.
  * debian/mysql-server-8.0.install: remove errmsg-utf8.txt.
  * debian/mysql-testsuite-8.0.install: add new comp_err,
    messages_to_clients.txt, messages_to_error_log.txt,
    component_test_udf_services.so files.
  * debian/mysql-testsuite-8.0.links: add link for mysqld_safe to fix
    autopkgtests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 20 Jan 2020 13:07:23 -0500

mysql-8.0 (8.0.18-0ubuntu0.19.10.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.18 to fix security issues
    - CVE-2019-2911, CVE-2019-2914, CVE-2019-2920, CVE-2019-2922,
      CVE-2019-2923, CVE-2019-2924, CVE-2019-2938, CVE-2019-2946,
      CVE-2019-2948, CVE-2019-2950, CVE-2019-2957, CVE-2019-2960,
      CVE-2019-2963, CVE-2019-2966, CVE-2019-2967, CVE-2019-2968,
      CVE-2019-2969, CVE-2019-2974, CVE-2019-2982, CVE-2019-2991,
      CVE-2019-2993, CVE-2019-2997, CVE-2019-2998, CVE-2019-3003,
      CVE-2019-3004, CVE-2019-3009, CVE-2019-3011, CVE-2019-3018
  * Removed patches no longer required:
    - fix_tests_ppc64el.patch
    - fix-test-binary-path.patch
  * debian/*install: Install new files:
    - usr/lib/mysql/private/libprotobuf-lite.so.3.6.1
    - usr/lib/mysql/private/libprotobuf.so.3.6.1
    - usr/lib/mysql/plugin/component_mysqlbackup.so
    - usr/lib/mysql-router/mysqlrouter/libprotobuf-lite.so.3.6.1
    - usr/bin/mysqlrouter_keyring
  * debian/libmysqlclient21.symbols: added new 8.0.18 symbols.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Oct 2019 09:50:59 -0400

## mysql-8.0 8.0.21

=== debian/changelog ===
mysql-8.0 (8.0.21-1) unstable; urgency=medium

  [ Robie Basak ]
  * New upstream release.

  [ Lars Tangvald ]
  * Add patch for replacing expired test certificates.
  * Disable unstable test main.mysql_client_test.
  * Disable broken test main.mtr_unit_tests.
  * Use system version of protobuf library. Closes: #968149.
  * Override BCP78 lintian error.

  [ Sergio Durigan Junior ]
  * Fix FTBFS on RISC-V.

  [ Marc Deslauriers ]
  * Revert an upstream commit that switches the tls-model to
    initial-exec. This is causing "cannot allocate memory in static TLS
    block" errors when attempting to load the library in certain
    scenarios.

 -- Robie Basak <robie@justgohome.co.uk>  Tue, 18 Aug 2020 15:34:21 +0100

mysql-8.0 (8.0.20-1~exp1) experimental; urgency=medium

  [ Lars Tangvald ]
  * New upstream major release
    See https://dev.mysql.com/doc/refman/8.0/en/mysql-nutshell.html
  * libmysqlclient20 soname bump to libmysqlclient21
  * Removed libmysqld, mysql_embedded, resolveip and resolve_stack_dump
  * Removed mysql_upgrade
    Internal data upgrades are now handled automatically by mysqld
    on startup, so the separate utility is no longer needed.
  * Removed deprecated config options
    Installation should automatically comment out deprecated options that
    were in the default 5.7 configuration.
  * Bundled yaSSL library has been removed. MySQL now uses OpenSSL.
    MySQL license has been updated to be compatible with the OpenSSL
    license.
  * Cleaned up default configuration files
    Options set to the internal default value were removed.

 -- Lars Tangvald <lars.tangvald@oracle.com>  Fri, 11 Jan 2019 13:05:54 +0100

=== debian/control ===
Source: mysql-8.0
Section: database
Priority: optional
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: Norbert Tretkowski <norbert@tretkowski.de>,
           Clint Byrum <clint@ubuntu.com>,
           James Page <jamespage@debian.org>,
           Robie Basak <robie@justgohome.co.uk>,
           Lars Tangvald <lars.tangvald@oracle.com>
Build-Depends: bison,
               chrpath,
               cmake,
               debhelper (>= 9.20160709),
               dh-apparmor,
               dpkg-dev (>= 1.16.1~),
               libaio-dev[linux-any],
               libedit-dev,
               libevent-dev,
               libjson-perl,
               liblz4-dev (>= 0.0~r131),
               libmecab-dev,
               libncurses5-dev (>= 5.0-6),
               libnuma-dev [amd64 arm64 i386 mips mips64el mipsel powerpc ppc64el],
               libprotobuf-dev,
               libprotoc-dev,
               libssl-dev,
               libwrap0-dev (>= 7.6-8.3),
               lsb-release,
               lz4,
               perl,
               pkg-config,
               po-debconf,
               protobuf-compiler,
               psmisc,
               unzip,
               zlib1g-dev (>= 1:1.1.3-5)
Standards-Version: 3.9.8
Homepage: http://dev.mysql.com/
Vcs-Git: https://salsa.debian.org/mariadb-team/mysql.git -b mysql-8.0/debian/master
Vcs-Browser: https://salsa.debian.org/mariadb-team/mysql
XS-Testsuite: autopkgtest

Package: libmysqlclient21
Section: libs
Architecture: any
Depends: mysql-common (>= 5.5), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: MySQL database client library
 MySQL is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.
 .
 This package includes the client library.

Package: libmysqlclient-dev
Architecture: any
Section: libdevel
Depends: libmysqlclient21 (= ${binary:Version}),
         libssl-dev,
         zlib1g-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmysqld-dev (<< 8.0)
Replaces: libmysqld-dev (<< 8.0)
Description: MySQL database development files
 MySQL is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.
 .
 This package includes development libraries and header files.

Package: mysql-client-core-8.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: virtual-mysql-client-core
Conflicts: mariadb-client-10.1,
           mariadb-client-10.3,
           mariadb-client-core-10.1,
           mariadb-client-core-10.3,
           mysql-client-5.7,
           mysql-client-core-5.7,
           virtual-mysql-client-core
Description: MySQL database core client binaries
 MySQL is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.
 .
 This package includes the core client files, as used by Akonadi.

Package: mysql-client-8.0
Architecture: any
Depends: debianutils (>=1.6),
         mysql-client-core-8.0,
         mysql-common (>= 5.5),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: virtual-mysql-client
Conflicts: mariadb-client-10.1,
           mariadb-client-10.3,
           mysql-client-5.7,
           virtual-mysql-client
Description: MySQL database client binaries
 MySQL is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.
 .
 This package includes the client binaries and the additional tool
 mysqlreport.

Package: mysql-server-core-8.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: virtual-mysql-server-core
Conflicts: mariadb-server-10.1,
           mariadb-server-10.3,
           mariadb-server-core-10.1,
           mariadb-server-core-10.3,
           mysql-server-5.7,
           mysql-server-core-5.7,
           virtual-mysql-server-core
Description: MySQL database server binaries
 MySQL is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.
 .
 This package includes the server binaries but doesn't contain all the
 infrastructure needed to setup system databases.

Package: mysql-server-8.0
Architecture: any
Recommends: libhtml-template-perl, mecab-ipadic-utf8
Suggests: mailx, tinyca
Pre-Depends: adduser (>= 3.40), debconf, mysql-common (>= 5.5)
Depends: lsb-base (>= 3.0-10),
         mysql-client-8.0 (>= ${binary:Version}),
         mysql-common (>= 5.8+1.0.4~),
         mysql-server-core-8.0 (= ${binary:Version}),
         passwd,
         perl:any (>= 5.6),
         psmisc,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: virtual-mysql-server
Conflicts: mariadb-server-10.1,
           mariadb-server-10.3,
           mysql-server-5.7,
           virtual-mysql-server
Description: MySQL database server binaries and system database setup
 MySQL is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.
 .
 This package contains all the infrastructure needed to setup system
 databases.

Package: mysql-server
Architecture: all
Depends: mysql-server-8.0, ${misc:Depends}
Description: MySQL database server (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 mysql-server (currently mysql-server-8.0), as determined by the MySQL
 maintainers. Install this package if in doubt about which MySQL
 version you need. That will install the version recommended by the
 package maintainers.
 .
 MySQL is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.

Package: mysql-client
Architecture: all
Depends: mysql-client-8.0, ${misc:Depends}
Description: MySQL database client (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 mysql-client (currently mysql-client-8.0), as determined by the MySQL
 maintainers.  Install this package if in doubt about which MySQL version
 you want, as this is the one considered to be in the best shape by the
 Maintainers.

Package: mysql-testsuite
Architecture: all
Depends: mysql-testsuite-8.0, ${misc:Depends}
Description: MySQL regression tests
 This is an empty package that depends on the current "best" version of
 mysql-testsuite (currently mysql-testsuite-8.0), as determined by the
 MySQL maintainers.  Install this package if in doubt about which MySQL
 version you want, as this is the one we consider to be in the best shape.

Package: mysql-testsuite-8.0
Architecture: any
Depends: libjson-perl,
         lz4,
         mysql-client-8.0 (= ${binary:Version}),
         mysql-server-8.0 (= ${binary:Version}),
         unzip,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: virtual-mysql-testsuite
Conflicts: mariadb-testsuite-10.1,
           mariadb-testsuite-10.3,
           mysql-testsuite-5.7,
           virtual-mysql-testsuite
Description: MySQL 8.0 testsuite
 MySQL is a fast, stable, and true multi-user, multi-threaded SQL database
 server.  SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.
 .
 This package includes the MySQL testsuite.

Package: mysql-source-8.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MySQL source
 MySQL is a fast, stable, and true multi-user, multi-threaded SQL database
 server.  SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.
 .
 This package includes the MySQL source code as configured before building
 - but after the arch specific configuration. This is currently required for
 building plugins.

Package: mysql-router
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: route connections from MySQL clients to MySQL servers
 MySQL Router is part of InnoDB cluster, and is lightweight middleware that
 provides transparent routing between your application and back-end MySQL
 servers. It can be used for a wide variety of use cases, such as providing
 high availability and scalability by effectively routing database traffic to
 appropriate back-end MySQL servers. The pluggable architecture also enables
 developers to extend MySQL Router for custom use cases.
 .
 Since MySQL Router is clustering software and needs to be configured and
 managed across an entire cluster, packaging cannot manage it for you. This
 package supplies the binary build only, ready for manual configuration.
Homepage: https://dev.mysql.com/doc/mysql-router/8.0/en/

## mysql-8.0 8.0.23

=== debian/changelog ===
mysql-8.0 (8.0.23-3ubuntu1) hirsute; urgency=medium

  [ Frans Spiesschaert ]
  * Update nl.po translation file (Closes: #970039)

  [ Helge Kreutzmann ]
  * Update de.po translation file (Closes: #968847)

  [ Christian Ehrhardt ]
  * d/p/lp-1915275-fix-handling-of-SC_LEVEL1_DCACHE_LINESIZE.patch: unbreak
    mysql on riscv64 (LP: #1915275)

 -- Robie Basak <robie.basak@ubuntu.com>  Sat, 13 Mar 2021 02:13:37 +0000

mysql-8.0 (8.0.23-3build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:18:57 +0000

mysql-8.0 (8.0.23-3) unstable; urgency=medium

  * Team upload
  * Honour nocheck build profile in dh_auto_test.
    Note: this change is needed only in compat levels < 13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Feb 2021 10:32:15 +0100

mysql-8.0 (8.0.23-2) unstable; urgency=medium

  * Team upload
  * Add missing libzstd-dev on runtime dev package
    (Closes: #981905)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Feb 2021 22:30:12 +0100

mysql-8.0 (8.0.23-1) unstable; urgency=medium

  [ Lars Tangvald ]
  * Imported upstream version 8.0.23 to fix security issues:
    - https://www.oracle.com/security-alerts/cpujan2021.html#AppendixMSQL
    - CVE-2021-1998 CVE-2021-2001 CVE-2021-2002 CVE-2021-2087
    - CVE-2021-2009 CVE-2021-2012 CVE-2021-2016 CVE-2021-2019
    - CVE-2021-2020 CVE-2021-2021 CVE-2021-2022 CVE-2021-2024
    - CVE-2021-2028 CVE-2021-2030 CVE-2021-2031 CVE-2021-2032
    - CVE-2021-2036 CVE-2021-2038 CVE-2021-2042 CVE-2021-2046
    - CVE-2021-2048 CVE-2021-2055 CVE-2021-2056 CVE-2021-2058
    - CVE-2021-2060 CVE-2021-2061 CVE-2021-2065 CVE-2021-2070
    - CVE-2021-2072 CVE-2021-2076 CVE-2021-2081 CVE-2021-2088
    - CVE-2021-2122
    Upstream release notes:
    - https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-23.html
    - https://dev.mysql.com/doc/relnotes/mysql-router/en/news-8-0-23.html
    (Closes: #980795)
  * d/install: Removed mysql_protocol.so from router package
    This plugin file has been obsoleted and removed by upstream.
  * Fix test failure due to hardcoded date
    (LP: #1911032)
  * d/patches: Update atomics patch for riscv.
  * d/symbols: Add new symbol from 8.0.23 to client library
  * d/install: Add new plugins to router and server packages

  [ Marc Deslauriers ]
  * d/symbols: Add new symbol from 8.0.22 to client library

 -- Lars Tangvald <lars.tangvald@oracle.com>  Tue, 19 Jan 2021 14:07:46 +0000

mysql-8.0 (8.0.22-1) unstable; urgency=medium

  * Imported upstream version 8.0.22 to fix security issues:
    - https://www.oracle.com/security-alerts/cpuoct2020.html#AppendixMSQL
    - CVE-2020-14672 CVE-2020-14765 CVE-2020-14769 CVE-2020-14771
    - CVE-2020-14773 CVE-2020-14775 CVE-2020-14776 CVE-2020-14777
    - CVE-2020-14785 CVE-2020-14786 CVE-2020-14789 CVE-2020-14790
    - CVE-2020-14791 CVE-2020-14793 CVE-2020-14794 CVE-2020-14799
    - CVE-2020-14800 CVE-2020-14804 CVE-2020-14809 CVE-2020-14812
    - CVE-2020-14814 CVE-2020-14821 CVE-2020-14827 CVE-2020-14828
    - CVE-2020-14829 CVE-2020-14830 CVE-2020-14836 CVE-2020-14837
    - CVE-2020-14838 CVE-2020-14839 CVE-2020-14844 CVE-2020-14845
    - CVE-2020-14846 CVE-2020-14848 CVE-2020-14852 CVE-2020-14860
    - CVE-2020-14861 CVE-2020-14866 CVE-2020-14867 CVE-2020-14868
    - CVE-2020-14869 CVE-2020-14870 CVE-2020-14873 CVE-2020-14878
    - CVE-2020-14888 CVE-2020-14891 CVE-2020-14893
    (Closes: #972623)
  * d/patches: Dropped patches for issues fixed upstream
    fix_expired_test_certs.patch and fix_mariadb_charset_segfault.patch
  * d/rules: Link system libs by default
    Ensures that if new dependencies are added we use system instead
    of bundled versions, where possible.
  * d/install: Added new upstream plugins for MySQL Router
  * d/systemd: Disable service timeout
    For large databases, the service could timeout on stop, possibly
    leading to data corruption during a system shutdown.
    (LP: #1882527)

 -- Lars Tangvald <lars.tangvald@oracle.com>  Tue, 20 Oct 2020 09:37:54 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# enable Debian Hardening
# see: https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
BUILDDIR := builddir
builddir = $(BUILDDIR)
DEBVERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed 's/^.*-//' )
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_SOURCE_PACKAGE ?= $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_UPSTREAM_VERSION_MAJOR_MINOR := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -r -n 's/^([0-9]+\.[0-9]+).*/\1/p')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DISTRIBUTION := $(shell lsb_release -i -s)
EXPORTED_SOURCE_TARBALL := debian/mysql-source-8.0.tar.gz
TMP := $(CURDIR)/debian/tmp/
NUMJOBS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
TESTJOBS=$(NUMJOBS)
# Some tests will fail on platforms that are not tested by upstream
ifneq (,$(filter $(ARCH), amd64 i386))
    TESTSUITE_FAIL_CMD:=exit 1
else
    TESTSUITE_FAIL_CMD:=true
endif

ifeq (,$(NUMJOBS))
	NUMJOBS=1
endif

MAKEFLAGS += -j $(NUMJOBS)

# The below system setting constrains how many servers can be run in parallel
# A server with default config needs a bit over 5300 slots, so we assume 6000 to be sure
AIOMAX := $(shell cat /proc/sys/fs/aio-max-nr)
AIOPER := 6000
PARMAX := $(shell echo $$(( $(AIOMAX)/$(AIOPER))))

ifeq ($(shell test $(TESTJOBS) -gt $(PARMAX); echo $$?),0)
	TESTJOBS:=$(shell echo $(PARMAX) )
endif

export MYSQL_BUILD_CC=$(DEB_HOST_GNU_TYPE)-gcc
export MYSQL_BUILD_CXX=$(DEB_HOST_GNU_TYPE)-g++

# The full upstream test suite takes a very long time to run, so we run
# only the main test suite unless fulltest is specified.
ifeq ($(findstring fulltest,$(DEB_BUILD_OPTIONS)),)
    MTR_SUITE=--suite=main
endif


override_dh_auto_clean:
	@echo "RULES.$@"
	dh_testdir 
	dh_testroot
	[ ! -d mysql-test/var ] || rm -rf mysql-test/var
	rm -rf $(BUILDDIR)
	debconf-updatepo
	rm -f $(EXPORTED_SOURCE_TARBALL)

override_dh_prep: 

override_dh_auto_configure: configure-stamp


configure-stamp:
	@echo "RULES.$@"
	dh_testdir
	( test -d $(builddir) || mkdir $(builddir) ) && cd $(builddir) && \
	sh -c  'PATH=$${MYSQL_BUILD_PATH:-"/bin:/usr/bin"} \
		CC=$${MYSQL_BUILD_CC:-gcc} \
		CXX=$${MYSQL_BUILD_CXX:-g++} \
		cmake -DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DBUILD_CONFIG=mysql_release \
		-DWITH_LIBWRAP=OFF \
		-DWITH_SYSTEM_LIBS=ON \
		-DWITH_MECAB=system \
		-DWITH_BOOST=../boost \
		-DCOMPILATION_COMMENT="($(DISTRIBUTION))" \
		-DMYSQL_SERVER_SUFFIX="-$(DEBVERSION)" \
		-DINSTALL_LAYOUT=DEB \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_DOCREADMEDIR=share/mysql \
		-DINSTALL_INCLUDEDIR=include/mysql \
		-DINSTALL_INFODIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_MANDIR=share/man \
		-DINSTALL_MYSQLSHAREDIR=share/mysql \
		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DINSTALL_SBINDIR=sbin \
		-DINSTALL_SCRIPTDIR=bin \
		-DINSTALL_SUPPORTFILESDIR=share/mysql \
		-DSYSCONFDIR=/etc/mysql \
		-DWITH_EMBEDDED_SERVER=ON \
		-DWITH_ARCHIVE_STORAGE_ENGINE=ON \
		-DWITH_BLACKHOLE_STORAGE_ENGINE=ON \
		-DWITH_FEDERATED_STORAGE_ENGINE=ON \
		-DWITH_INNODB_MEMCACHED=1 \
		-DWITH_EXTRA_CHARSETS=all \
		-DROUTER_INSTALL_LIBDIR=lib/mysql-router \
		..'
	touch $@

override_dh_auto_build: build-stamp

# $(EXPORTED_SOURCE_TARBALL) must be built before the builds commence, since
# the builds change some of the files picked up by this tar invocation, and
# this can race against tar with an error like "tar:
# ./builddir-pic/strings/CMakeFiles/strings.dir: file changed as we read it".
# So define the rule for building it here, and have the build rules depend on
# it.
$(EXPORTED_SOURCE_TARBALL):
	GZIP=-n tar -zcf $(EXPORTED_SOURCE_TARBALL) \
	    --exclude=debian . \
	    --transform="s,^\./,mysql-8.0/,"

build-stamp: $(EXPORTED_SOURCE_TARBALL)
	@echo "RULES.$@"
	cd $(builddir) && $(MAKE)
	touch $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	@echo "RULES.$@"
ifeq ($(ARCH_OS),hurd)
	# Tests not fully working under Hurd, see
	# http://bugs.mysql.com/bug.php?id=64685. Run unit tests only.
	cd $(builddir) && $(MAKE) test || $(TESTSUITE_FAIL_CMD) ;
else
	touch $(builddir)/mysql-test/skiplist
	# Tests that are known to be unstable on all platforms are skipped
	# http://bugs.mysql.com/bug.php?id=83340
	echo "main.xa_prepared_binlog_off	: BUG#00000 - unstable test" >> $(builddir)/mysql-test/skiplist
	echo "main.mysql_client_test		: BUG#100274 - unstable test" >> $(builddir)/mysql-test/skiplist
	echo "main.type_float			: BUG#92375 - fails on ppc64el. Ref https://bugs.mysql.com/bug.php?id=92375" >> $(builddir)/mysql-test/skiplist
	echo "main.type_newdecimal		: BUG#92375 - Same as above" >> $(builddir)/mysql-test/skiplist
	echo "main.type_ranges			: BUG#92375 - Same as above" >> $(builddir)/mysql-test/skiplist
	# https://bugs.mysql.com/bug.php?id=86608
	echo "main.mysqlpump_basic		: BUG#00000 - needs openssl with zlib" >> $(builddir)/mysql-test/skiplist
	# Test is broken for 32bit. Fixed upstream, so remove in 8.0.12+
	echo "main.window_functions_explain	: BUG#00000 -  broken on i386" >> $(builddir)/mysql-test/skiplist

	# Skip replication tests since they are timing sensitive and may
	# result in false positives.
	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --parallel=$(TESTJOBS) --skip-rpl $(MTR_SUITE) --force --skip-test-list=./skiplist || $(TESTSUITE_FAIL_CMD) ;
	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --force innodb_fts.mecab_utf8
endif
endif

override_dh_auto_install: auto_install-stamp

auto_install-stamp:
	@echo "RULES.$@"
	dh_testdir
	dh_testroot
	# make install (trailing slash needed for innobase)
	cd $(builddir) && $(MAKE) install DESTDIR=$(TMP)/
	# After installing, remove rpath to make lintian happy.
	set +e; \
	find ./debian/tmp/ -type f -print0 \
		| xargs -0 --no-run-if-empty chrpath -k 2>/dev/null \
		| fgrep RPATH= \
		| cut -d: -f 1 \
		| xargs --no-run-if-empty chrpath -d; \
	set -e
	install -d -m 0755 -o root -g root $(TMP)/usr/lib/mysql
	mkdir -p $(TMP)/usr/share/doc/mysql-server-8.0
	nm -n $(BUILDDIR)/bin/mysqld |gzip -n -9 > $(TMP)/usr/share/doc/mysql-server-8.0/mysqld.sym.gz
	# This seems to be the only safe place to fix permissions issues
	# not handled by dh_fixperms.
	install -m 0755 debian/additions/echo_stderr $(TMP)/usr/share/mysql/
	mkdir -p $(TMP)/etc/mysql
	install -m 0755 debian/additions/debian-start $(TMP)/etc/mysql/
	install -m 0644 debian/additions/debian_create_root_user.sql $(TMP)/usr/share/mysql/
	# These files are incorrectly marked as executable. Upstream bug: http://bugs.mysql.com/bug.php?id=80571
	chmod 0644 $(TMP)/usr/lib/mysql-test/t/mysqld_safe.sh
	chmod 0644 $(TMP)/usr/lib/mysql-test/suite/innodb/t/alter_rename_existing.test
	chmod 0644 $(TMP)/usr/lib/mysql-test/suite/innodb/r/alter_rename_existing.result
	chmod 0644 $(TMP)/usr/share/mysql/mysql-log-rotate
	# install AppArmor profile
	install -D -m 644 debian/additions/apparmor-profile $(TMP)/etc/apparmor.d/usr.sbin.mysqld
	touch $@


override_dh_installlogrotate-arch:
	dh_installlogrotate --name mysql-server

override_dh_install:
	dh_install --fail-missing		\
		-Xusr/share/man			\
		-Xusr/share/mysql/mysql.server

## mysql-8.0 8.0.25

=== storage/innobase/CMakeLists.txt ===
# Copyright (c) 2006, 2021, Oracle and/or its affiliates.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2.0,
# as published by the Free Software Foundation.
#
# This program is also distributed with certain software (including
# but not limited to OpenSSL) that is licensed under separate terms,
# as designated in a particular file or component or in included license
# documentation.  The authors of MySQL hereby grant you an additional
# permission to link the program and your derivative works with the
# separately licensed software that they have included with MySQL.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License, version 2.0, for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA

# This is the CMakeLists for InnoDB

INCLUDE(innodb.cmake)

ADD_DEFINITIONS(-DLOG_SUBSYSTEM_TAG="InnoDB")

# Expand PSI_XXX_CALL into direct calls to the performance_schema.
ADD_DEFINITIONS(-DPFS_DIRECT_CALL)

# TODO: Fix up all non-canonical include paths and remove this.
INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/sql
  ${CMAKE_SOURCE_DIR}/sql/auth
)

# Conflicting YYSTYPE, because we have multiple Bison grammars.
# WL#11100 Migrate to Bison 3.x should fix this.
#
# STRING(REPLACE "-flto" "" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
# STRING(REPLACE "-flto" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

SET(INNOBASE_ZIP_DECOMPRESS_SOURCES
  buf/buf.cc
  buf/checksum.cc
  dict/dict.cc
  dict/mem.cc
  mem/memory.cc
  os/file.cc
  os/os0thread.cc
  page/zipdecompress.cc
  rem/rec.cc
  ut/crc32.cc
  ut/ut.cc)

SET(INNOBASE_SOURCES
  api/api0api.cc
  api/api0misc.cc
  arch/arch0arch.cc
  arch/arch0page.cc
  arch/arch0log.cc
  arch/arch0recv.cc
  btr/btr0btr.cc
  btr/btr0cur.cc
  btr/btr0pcur.cc
  btr/btr0sea.cc
  btr/btr0bulk.cc
  buf/buf0block_hint.cc
  buf/buf0buddy.cc
  buf/buf0buf.cc
  buf/buf0dblwr.cc
  buf/buf0dump.cc
  buf/buf0flu.cc
  buf/buf0lru.cc
  buf/buf0rea.cc
  clone/clone0api.cc
  clone/clone0clone.cc
  clone/clone0copy.cc
  clone/clone0apply.cc
  clone/clone0desc.cc
  clone/clone0snapshot.cc
  clone/clone0repl.cc
  data/data0data.cc
  data/data0type.cc
  dict/dict0boot.cc
  dict/dict0crea.cc
  dict/dict0dict.cc
  dict/dict0dd.cc
  dict/dict0load.cc
  dict/dict0mem.cc
  dict/dict0sdi.cc
  dict/dict0stats.cc
  dict/dict0stats_bg.cc
  dict/dict0upgrade.cc
  eval/eval0eval.cc
  eval/eval0proc.cc
  fil/fil0fil.cc
  fsp/fsp0fsp.cc
  fsp/fsp0file.cc
  fsp/fsp0space.cc
  fsp/fsp0sysspace.cc
  fut/fut0lst.cc
  ha/ha0ha.cc
  ha/ha0storage.cc
  ha/hash0hash.cc
  fts/fts0fts.cc
  fts/fts0ast.cc
  fts/fts0blex.cc
  fts/fts0config.cc
  fts/fts0opt.cc
  fts/fts0pars.cc
  fts/fts0que.cc
  fts/fts0sql.cc
  fts/fts0tlex.cc
  gis/gis0geo.cc
  gis/gis0rtree.cc
  gis/gis0sea.cc
  fts/fts0plugin.cc
  handler/ha_innodb.cc
  handler/ha_innopart.cc
  handler/handler0alter.cc
  handler/i_s.cc
  handler/p_s.cc
  ibuf/ibuf0ibuf.cc
  lob/lob0first.cc
  lob/lob0index.cc
  lob/lob0ins.cc
  lob/lob0pages.cc
  lob/lob0purge.cc
  lob/lob0update.cc
  lob/lob0impl.cc
  lob/lob0lob.cc
  lob/lob0del.cc
  lob/lob0undo.cc
  lob/lob0util.cc
  lob/zlob0index.cc
  lob/zlob0ins.cc
  lob/zlob0update.cc
  lob/zlob0first.cc
  lob/zlob0read.cc
  lock/lock0guards.cc
  lock/lock0iter.cc
  lock/lock0prdt.cc
  lock/lock0latches.cc
  lock/lock0lock.cc
  lock/lock0wait.cc
  log/log0buf.cc
  log/log0chkp.cc
  log/log0ddl.cc
  log/log0log.cc
  log/log0meb.cc
  log/log0recv.cc
  log/log0test.cc
  log/log0write.cc
  mach/mach0data.cc
  mtr/mtr0log.cc
  mtr/mtr0mtr.cc
  os/os0file.cc
  os/os0enc.cc
  os/os0proc.cc
  os/os0event.cc
  page/page0cur.cc
  page/page0page.cc
  page/page0zip.cc
  pars/lexyy.cc
  pars/pars0grm.cc
  pars/pars0opt.cc
  pars/pars0pars.cc
  pars/pars0sym.cc
  que/que0que.cc
  read/read0read.cc
  rem/rem0cmp.cc
  rem/rem0rec.cc
  row/row0ext.cc
  row/row0ftsort.cc
  row/row0import.cc
  row/row0ins.cc
  row/row0merge.cc
  row/row0mysql.cc
  row/row0log.cc
  row/row0pread.cc
  row/row0purge.cc
  row/row0pread-adapter.cc
  row/row0pread-histogram.cc
  row/row0row.cc
  row/row0sel.cc
  row/row0uins.cc
  row/row0umod.cc
  row/row0undo.cc
  row/row0upd.cc
  row/row0quiesce.cc
  row/row0vers.cc
  srv/srv0conc.cc
  srv/srv0mon.cc
  srv/srv0srv.cc
  srv/srv0start.cc
  srv/srv0tmp.cc
  sync/sync0arr.cc
  sync/sync0rw.cc
  sync/sync0debug.cc
  sync/sync0sync.cc
  trx/trx0i_s.cc
  trx/trx0purge.cc
  trx/trx0rec.cc
  trx/trx0roll.cc
  trx/trx0rseg.cc
  trx/trx0sys.cc
  trx/trx0trx.cc
  trx/trx0undo.cc
  usr/usr0sess.cc
  ut/ut0dbg.cc
  ut/ut0list.cc
  ut/ut0mem.cc
  ut/ut0new.cc
  ut/ut0rbt.cc
  ut/ut0rnd.cc
  ut/ut0test.cc
  ut/ut0ut.cc
  ut/ut0vec.cc
  ut/ut0wqueue.cc)

# There seems to be a bug in gcc for Oracle Linux 8 on ARM.
# storage/innobase/ut/ut0test.cc:213:76:
# warning: requested alignment 512 is larger than 16 [-Wattributes]
# alignas(OS_FILE_LOG_BLOCK_SIZE) ....
# We downgrade -Werror to warning to avoid broken build:
IF(MY_COMPILER_IS_GNU AND CMAKE_SYSTEM_PROCESSOR STREQUAL "aarch64")
  MY_CHECK_CXX_COMPILER_WARNING("error=attributes" HAS_WARN_FLAG)
  IF(HAS_WARN_FLAG)
    ADD_COMPILE_FLAGS(
      ut/ut0test.cc
      COMPILE_FLAGS ${HAS_WARN_FLAG}
      )
  ENDIF()
ENDIF()

ADD_LIBRARY(innodb_zipdecompress STATIC ${INNOBASE_ZIP_DECOMPRESS_SOURCES})
TARGET_COMPILE_DEFINITIONS(
  innodb_zipdecompress PRIVATE UNIV_LIBRARY UNIV_NO_ERR_MSGS)
ADD_DEPENDENCIES(innodb_zipdecompress GenError)

MY_CHECK_CXX_COMPILER_WARNING("-Wmissing-profile" HAS_MISSING_PROFILE)
IF(HAS_MISSING_PROFILE)
  TARGET_COMPILE_OPTIONS(innodb_zipdecompress PRIVATE ${HAS_MISSING_PROFILE})
ENDIF()


UNSET(NUMA_LIBRARY)
IF(HAVE_LIBNUMA)
  SET(NUMA_LIBRARY "numa")
ENDIF()

MYSQL_ADD_PLUGIN(innobase
  ${INNOBASE_SOURCES} ${INNOBASE_ZIP_DECOMPRESS_SOURCES} STORAGE_ENGINE
  MANDATORY
  MODULE_OUTPUT_NAME ha_innodb
  LINK_LIBRARIES sql_dd sql_gis ${ZLIB_LIBRARY} ${LZ4_LIBRARY} ${NUMA_LIBRARY})


# Avoid generating Hardware Capabilities due to crc32 instructions
IF(SOLARIS_INTEL)
  MY_CHECK_CXX_COMPILER_FLAG("-Wa,-nH" HAVE_WA_NH)
  IF(HAVE_WA_NH)
    ADD_COMPILE_FLAGS(
      ut/crc32.cc
      COMPILE_FLAGS "-Wa,-nH"
    )
  ENDIF()
ENDIF()

# On linux: /usr/include/stdio.h:#define BUFSIZ 8192
# On Solaris: /usr/include/iso/stdio_iso.h:#define    BUFSIZ  1024
IF(SOLARIS AND MY_COMPILER_IS_GNU)
  ADD_COMPILE_FLAGS(
    row/row0import.cc
    row/row0quiesce.cc
    COMPILE_FLAGS "-Wno-format-truncation"
    )
ENDIF()

# Generated code with logical-op warnings
MY_CHECK_CXX_COMPILER_WARNING("-Wlogical-op" HAS_WARN_FLAG)
IF(HAS_WARN_FLAG)
  ADD_COMPILE_FLAGS(fts/fts0pars.cc
    COMPILE_FLAGS "${HAS_WARN_FLAG}")
ENDIF()
MY_CHECK_CXX_COMPILER_WARNING("-Wcast-function-type" HAS_WARN_FLAG)
IF(HAS_WARN_FLAG)
  ADD_COMPILE_FLAGS(fts/fts0pars.cc
    COMPILE_FLAGS "${HAS_WARN_FLAG}")
ENDIF()

=== debian/changelog ===
mysql-8.0 (8.0.25-0ubuntu0.20.10.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.25 to fix security issues
    - CVE-2021-2146, CVE-2021-2162, CVE-2021-2164, CVE-2021-2166,
      CVE-2021-2169, CVE-2021-2170, CVE-2021-2171, CVE-2021-2172,
      CVE-2021-2179, CVE-2021-2180, CVE-2021-2193, CVE-2021-2194,
      CVE-2021-2196, CVE-2021-2201, CVE-2021-2203, CVE-2021-2208,
      CVE-2021-2212, CVE-2021-2215, CVE-2021-2217, CVE-2021-2226,
      CVE-2021-2230, CVE-2021-2232, CVE-2021-2278, CVE-2021-2293,
      CVE-2021-2298, CVE-2021-2299, CVE-2021-2300, CVE-2021-2301,
      CVE-2021-2304, CVE-2021-2305, CVE-2021-2307, CVE-2021-2308
  * Package new upstream files:
    - debian/mysql-server-core-8.0.install: mysql_migrate_keyring,
      component_keyring_file.so.
    - debian/mysql-testsuite-8.0.install: mysql_keyring_encryption_test.
  * debian/patches/fix_test_year.patch: removed, no longer needed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 May 2021 08:49:41 -0400

mysql-8.0 (8.0.23-0ubuntu0.20.10.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.23 to fix security issues
    - CVE-2021-2002, CVE-2021-2010, CVE-2021-2011, CVE-2021-2021,
      CVE-2021-2022, CVE-2021-2024, CVE-2021-2031, CVE-2021-2032,
      CVE-2021-2036, CVE-2021-2038, CVE-2021-2046, CVE-2021-2048,
      CVE-2021-2056, CVE-2021-2058, CVE-2021-2060, CVE-2021-2061,
      CVE-2021-2065, CVE-2021-2070, CVE-2021-2072, CVE-2021-2076,
      CVE-2021-2081, CVE-2021-2087, CVE-2021-2088, CVE-2021-2122
  * debian/patches/atomic-test-words.patch: updated.
  * debian/patches/fix_test_year.patch: fix test with hardcoded date.
  * debian/libmysqlclient21.symbols: added new symbol.
  * debian/mysql-router.install: remove mysql_protocol.so, it has been
    removed from the new version.
  * debian/*.install: added some new files shipped in the new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Jan 2021 09:25:29 -0500

mysql-8.0 (8.0.22-0ubuntu0.20.10.2) groovy-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.22 to fix security issues
    - CVE-2019-14775, CVE-2020-14672, CVE-2020-14765, CVE-2020-14769,
      CVE-2020-14771, CVE-2020-14773, CVE-2020-14775, CVE-2020-14776,
      CVE-2020-14777, CVE-2020-14785, CVE-2020-14786, CVE-2020-14789,
      CVE-2020-14790, CVE-2020-14791, CVE-2020-14793, CVE-2020-14794,
      CVE-2020-14800, CVE-2020-14804, CVE-2020-14809, CVE-2020-14812,
      CVE-2020-14814, CVE-2020-14821, CVE-2020-14827, CVE-2020-14828,
      CVE-2020-14829, CVE-2020-14830, CVE-2020-14836, CVE-2020-14837,
      CVE-2020-14838, CVE-2020-14839, CVE-2020-14844, CVE-2020-14845,
      CVE-2020-14846, CVE-2020-14848, CVE-2020-14852, CVE-2020-14853,
      CVE-2020-14860, CVE-2020-14861, CVE-2020-14866, CVE-2020-14867,
      CVE-2020-14868, CVE-2020-14869, CVE-2020-14870, CVE-2020-14873,
      CVE-2020-14878, CVE-2020-14888, CVE-2020-14891, CVE-2020-14893
  * Removed patches included in new version:
    - debian/patches/fix_mariadb_charset_segfault.patch
    - debian/patches/fix_expired_test_certs.patch
  * debian/mysql-router.install: adjust path to sample_mysqlrouter.conf.
  * debian/mysql-router.install, debian/not-installed: added new files.
  * debian/libmysqlclient21.symbols: added new symbol.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Oct 2020 09:04:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mysql-8.0
 Section: database
 Priority: optional
-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
 Uploaders: Norbert Tretkowski <norbert@tretkowski.de>,
            Clint Byrum <clint@ubuntu.com>,
            James Page <jamespage@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -87,9 +87,14 @@
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		-DBUILD_CONFIG=mysql_release \
 		-DWITH_LIBWRAP=OFF \
-		-DWITH_SYSTEM_LIBS=ON \
+		-DWITH_ZLIB=system \
+		-DWITH_LZ4=system \
+		-DWITH_EDITLINE=system \
+		-DWITH_LIBEVENT=system \
+		-DWITH_SSL=system \
 		-DWITH_MECAB=system \
 		-DWITH_BOOST=../boost \
+		-DWITH_PROTOBUF=system \
 		-DCOMPILATION_COMMENT="($(DISTRIBUTION))" \
 		-DMYSQL_SERVER_SUFFIX="-$(DEBVERSION)" \
 		-DINSTALL_LAYOUT=DEB \
@@ -135,7 +140,6 @@
 	touch $@
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	@echo "RULES.$@"
 ifeq ($(ARCH_OS),hurd)
 	# Tests not fully working under Hurd, see
@@ -159,7 +163,6 @@
 	# result in false positives.
 	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --parallel=$(TESTJOBS) --skip-rpl $(MTR_SUITE) --force --skip-test-list=./skiplist || $(TESTSUITE_FAIL_CMD) ;
 	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --force innodb_fts.mecab_utf8
-endif
 endif
 
 override_dh_auto_install: auto_install-stamp
@@ -202,5 +205,3 @@
 
 override_dh_install:
 	dh_install --fail-missing		\
-		-Xusr/share/man			\
-		-Xusr/share/mysql/mysql.server

## mysql-8.0 8.0.26

=== debian/changelog ===
mysql-8.0 (8.0.26-0ubuntu1) impish; urgency=medium

  * SECURITY UPDATE: Update to 8.0.26 to fix security issues
    - CVE-2021-2339, CVE-2021-2340, CVE-2021-2342, CVE-2021-2352,
      CVE-2021-2354, CVE-2021-2356, CVE-2021-2357, CVE-2021-2367,
      CVE-2021-2370, CVE-2021-2372, CVE-2021-2374, CVE-2021-2383,
      CVE-2021-2384, CVE-2021-2385, CVE-2021-2387, CVE-2021-2389,
      CVE-2021-2390, CVE-2021-2399, CVE-2021-2402, CVE-2021-2410,
      CVE-2021-2417, CVE-2021-2418, CVE-2021-2422, CVE-2021-2424,
      CVE-2021-2425, CVE-2021-2426, CVE-2021-2427, CVE-2021-2429,
      CVE-2021-2437, CVE-2021-2440, CVE-2021-2441
  * Fix test suite failures:
    - debian/rules,debian/tests/upstream: disable newly-failing
      main.slow_log test.
  * Package new upstream files:
    - debian/mysql-server-core-8.0.install: semisync_replica.so,
      semisync_source.so.
    - debian/mysql-testsuite-8.0.install: component_test_table_access.so,
      component_test_mysql_system_variable_set.so.
  * debian/patches/fix_ppc64el_longdouble_ftbfs.patch: disable long double
    test on ppc64el.
  * d/p/lp-1915275-fix-handling-of-SC_LEVEL1_DCACHE_LINESIZE.patch:
    removed, included in new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Jul 2021 06:34:46 -0400

mysql-8.0 (8.0.25-0ubuntu3) impish; urgency=medium

  * debian/patches/fix_path_mysql_keyring_encryption_test.patch: fix
    location of mysql_keyring_encryption_test binary.
  * debian/patches/disable_root_files.patch: disable files that require
    root privileges during tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 May 2021 06:38:34 -0400

mysql-8.0 (8.0.25-0ubuntu2) impish; urgency=medium

  * mysql-testsuite-8.0.links: add link for mysql_migrate_keyring so the
    binary can be located during tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 May 2021 12:30:44 -0400

mysql-8.0 (8.0.25-0ubuntu1) impish; urgency=medium

  * SECURITY UPDATE: Update to 8.0.25 to fix security issues
    - CVE-2021-2146, CVE-2021-2162, CVE-2021-2164, CVE-2021-2166,
      CVE-2021-2169, CVE-2021-2170, CVE-2021-2171, CVE-2021-2172,
      CVE-2021-2179, CVE-2021-2180, CVE-2021-2193, CVE-2021-2194,
      CVE-2021-2196, CVE-2021-2201, CVE-2021-2203, CVE-2021-2208,
      CVE-2021-2212, CVE-2021-2215, CVE-2021-2217, CVE-2021-2226,
      CVE-2021-2230, CVE-2021-2232, CVE-2021-2278, CVE-2021-2293,
      CVE-2021-2298, CVE-2021-2299, CVE-2021-2300, CVE-2021-2301,
      CVE-2021-2304, CVE-2021-2305, CVE-2021-2307, CVE-2021-2308
  * Package new upstream files:
    - debian/mysql-server-core-8.0.install: mysql_migrate_keyring,
      component_keyring_file.so.
    - debian/mysql-testsuite-8.0.install: mysql_keyring_encryption_test.
  * debian/patches/fix_test_year.patch: removed, no longer needed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 May 2021 08:49:41 -0400

=== debian/rules ===
--- 
+++ 
@@ -87,14 +87,9 @@
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		-DBUILD_CONFIG=mysql_release \
 		-DWITH_LIBWRAP=OFF \
-		-DWITH_ZLIB=system \
-		-DWITH_LZ4=system \
-		-DWITH_EDITLINE=system \
-		-DWITH_LIBEVENT=system \
-		-DWITH_SSL=system \
+		-DWITH_SYSTEM_LIBS=ON \
 		-DWITH_MECAB=system \
 		-DWITH_BOOST=../boost \
-		-DWITH_PROTOBUF=system \
 		-DCOMPILATION_COMMENT="($(DISTRIBUTION))" \
 		-DMYSQL_SERVER_SUFFIX="-$(DEBVERSION)" \
 		-DINSTALL_LAYOUT=DEB \
@@ -140,6 +135,7 @@
 	touch $@
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	@echo "RULES.$@"
 ifeq ($(ARCH_OS),hurd)
 	# Tests not fully working under Hurd, see
@@ -158,11 +154,14 @@
 	echo "main.mysqlpump_basic		: BUG#00000 - needs openssl with zlib" >> $(builddir)/mysql-test/skiplist
 	# Test is broken for 32bit. Fixed upstream, so remove in 8.0.12+
 	echo "main.window_functions_explain	: BUG#00000 -  broken on i386" >> $(builddir)/mysql-test/skiplist
+	# New test in 8.0.26, needs investigation
+	echo "main.slow_log			: BUG#00000 -  broken" >> $(builddir)/mysql-test/skiplist
 
 	# Skip replication tests since they are timing sensitive and may
 	# result in false positives.
 	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --parallel=$(TESTJOBS) --skip-rpl $(MTR_SUITE) --force --skip-test-list=./skiplist || $(TESTSUITE_FAIL_CMD) ;
 	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --force innodb_fts.mecab_utf8
+endif
 endif
 
 override_dh_auto_install: auto_install-stamp
@@ -203,5 +202,3 @@
 override_dh_installlogrotate-arch:
 	dh_installlogrotate --name mysql-server
 
-override_dh_install:
-	dh_install --fail-missing		\

## mysql-8.0 8.0.27

=== debian/changelog ===
mysql-8.0 (8.0.27-0ubuntu0.21.04.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.27 to fix security issues
    - CVE-2021-2478, CVE-2021-2479, CVE-2021-2481, CVE-2021-35546,
      CVE-2021-35575, CVE-2021-35577, CVE-2021-35584, CVE-2021-35591,
      CVE-2021-35596, CVE-2021-35597, CVE-2021-35602, CVE-2021-35604,
      CVE-2021-35607, CVE-2021-35608, CVE-2021-35610, CVE-2021-35612,
      CVE-2021-35613, CVE-2021-35622, CVE-2021-35623, CVE-2021-35624,
      CVE-2021-35625, CVE-2021-35626, CVE-2021-35627, CVE-2021-35628,
      CVE-2021-35630, CVE-2021-35631, CVE-2021-35632, CVE-2021-35633,
      CVE-2021-35634, CVE-2021-35635, CVE-2021-35636, CVE-2021-35637,
      CVE-2021-35638, CVE-2021-35639, CVE-2021-35640, CVE-2021-35641,
      CVE-2021-35642, CVE-2021-35643, CVE-2021-35644, CVE-2021-35645,
      CVE-2021-35646, CVE-2021-35647, CVE-2021-35648
  * debian/rules: disable innodb_fts.mecab_utf8 test, it hasn't run
    successfully in a long time, but now gives an error.
  * debian/patches/fix_ppc64el_longdouble_ftbfs.patch: removed, no longer
    needed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Oct 2021 10:51:26 -0400

mysql-8.0 (8.0.26-0ubuntu0.21.04.3) hirsute-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.26 to fix security issues
    - CVE-2021-2339, CVE-2021-2340, CVE-2021-2342, CVE-2021-2352,
      CVE-2021-2354, CVE-2021-2356, CVE-2021-2357, CVE-2021-2367,
      CVE-2021-2370, CVE-2021-2372, CVE-2021-2374, CVE-2021-2383,
      CVE-2021-2384, CVE-2021-2385, CVE-2021-2387, CVE-2021-2389,
      CVE-2021-2390, CVE-2021-2399, CVE-2021-2402, CVE-2021-2410,
      CVE-2021-2417, CVE-2021-2418, CVE-2021-2422, CVE-2021-2424,
      CVE-2021-2425, CVE-2021-2426, CVE-2021-2427, CVE-2021-2429,
      CVE-2021-2437, CVE-2021-2440, CVE-2021-2441
  * Fix test suite failures:
    - mysql-testsuite-8.0.links: add link for mysql_migrate_keyring so the
      binary can be located during tests.
    - debian/patches/fix_path_mysql_keyring_encryption_test.patch: fix
      location of mysql_keyring_encryption_test binary.
    - debian/patches/disable_root_files.patch: disable files that require
      root privileges during tests.
    - debian/rules,debian/tests/upstream: disable newly-failing
      main.slow_log test.
  * Package new upstream files:
    - debian/mysql-server-core-8.0.install: semisync_replica.so,
      semisync_source.so.
    - debian/mysql-testsuite-8.0.install: component_test_table_access.so,
      component_test_mysql_system_variable_set.so.
  * debian/patches/fix_ppc64el_longdouble_ftbfs.patch: disable long double
    test on ppc64el.
  * d/p/lp-1915275-fix-handling-of-SC_LEVEL1_DCACHE_LINESIZE.patch:
    removed, included in new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Jul 2021 07:53:03 -0400

mysql-8.0 (8.0.25-0ubuntu0.21.04.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: Update to 8.0.25 to fix security issues
    - CVE-2021-2146, CVE-2021-2162, CVE-2021-2164, CVE-2021-2166,
      CVE-2021-2169, CVE-2021-2170, CVE-2021-2171, CVE-2021-2172,
      CVE-2021-2179, CVE-2021-2180, CVE-2021-2193, CVE-2021-2194,
      CVE-2021-2196, CVE-2021-2201, CVE-2021-2203, CVE-2021-2208,
      CVE-2021-2212, CVE-2021-2215, CVE-2021-2217, CVE-2021-2226,
      CVE-2021-2230, CVE-2021-2232, CVE-2021-2278, CVE-2021-2293,
      CVE-2021-2298, CVE-2021-2299, CVE-2021-2300, CVE-2021-2301,
      CVE-2021-2304, CVE-2021-2305, CVE-2021-2307, CVE-2021-2308
  * Package new upstream files:
    - debian/mysql-server-core-8.0.install: mysql_migrate_keyring,
      component_keyring_file.so.
    - debian/mysql-testsuite-8.0.install: mysql_keyring_encryption_test.
  * debian/patches/fix_test_year.patch: removed, no longer needed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 May 2021 08:49:41 -0400

=== debian/rules ===
--- 
+++ 
@@ -160,7 +160,6 @@
 	# Skip replication tests since they are timing sensitive and may
 	# result in false positives.
 	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --parallel=$(TESTJOBS) --skip-rpl $(MTR_SUITE) --force --skip-test-list=./skiplist || $(TESTSUITE_FAIL_CMD) ;
-	cd $(builddir)/mysql-test && ./mtr --report-unstable-tests --force innodb_fts.mecab_utf8
 endif
 endif
 
@@ -202,3 +201,6 @@
 override_dh_installlogrotate-arch:
 	dh_installlogrotate --name mysql-server
 
+override_dh_install:
+	dh_install --fail-missing		\
+		-Xusr/share/man			\
